[debsums] 46/184: Check for errors in the postrm script

Axel Beckert abe at deuxchevaux.org
Mon Mar 2 21:21:17 UTC 2015


This is an automated email from the git hooks/post-receive script.

abe pushed a commit to branch master
in repository debsums.

commit 7719e0f374c7f3bcacf9bc2708d2105874cd8d11
Author: Francois Marier <francois at debian.org>
Date:   Sat Oct 4 16:44:06 2008 +1300

    Check for errors in the postrm script
---
 debian/changelog |  3 ++-
 debian/postrm    | 39 ++++++++++++++++++++++++++++++++++++---
 2 files changed, 38 insertions(+), 4 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index ca76d93..04b30f1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ debsums (2.0.38) unstable; urgency=low
   * Fix the cronjob when the ignore file is empty or missing (closes: #499532)
   * Make the daily cronjob optional through debconf (closes: #499840)
   * Use ionice to reduce the impact of having the cronjob running
+  * Re-write postrm script and don't ignore errors (lintian warning)
 
   * Debconf templates:
     - New Ukranian translation
@@ -15,7 +16,7 @@ debsums (2.0.38) unstable; urgency=low
     - Updated Portugese translation (closes: #500945)
     - Updated Brazillian Portugese translation (closes: #500975)
 
- -- Francois Marier <francois at debian.org>  Sat, 04 Oct 2008 16:29:00 +1300
+ -- Francois Marier <francois at debian.org>  Sat, 04 Oct 2008 16:43:37 +1300
 
 debsums (2.0.37) unstable; urgency=low
 
diff --git a/debian/postrm b/debian/postrm
old mode 100644
new mode 100755
index 2de667c..78b6938
--- a/debian/postrm
+++ b/debian/postrm
@@ -1,7 +1,40 @@
-#!/bin/sh
+#! /bin/sh
+# postrm script for debsums
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
 
 APT_CONF=/etc/apt/apt.conf.d/90debsums
- 
-rm -f $APT_CONF
+
+case "$1" in
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    purge)
+        [ -f $APT_CONF ] && rm -f $APT_CONF
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
 
 #DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/debsums.git



More information about the Pkg-perl-cvs-commits mailing list